<?php
namespace KnitPay\Gateways\Razorpay;

use Pronamic\WordPress\Pay\Plugin;
use Razorpay\Api\Api;

/**
 * Title: Easebuzz Webhook Listner
 * Copyright: 2020 Knit Pay
 *
 * @author Knit Pay
 * @version 1.0.0
 * @since 2.2.4.0
 */
class Listener {


	public static function listen() {
		if ( ! filter_has_var( INPUT_GET, 'kp_razorpay_webhook' ) ) {
			return;
		}

		$post_body = file_get_contents( 'php://input' );
		$data      = json_decode( $post_body, true );

		if ( json_last_error() !== 0 ) {
			return;
		}

		if ( empty( $data['event'] ) ) {
			return;
		}

		$event_type = explode( '.', $data['event'] )[0];

		switch ( $event_type ) {
			case 'payment':
				$payment = get_pronamic_payment_by_transaction_id( $data['payload']['payment']['entity']['invoice_id'] );
				break;
			default:
		}

		if ( null === $payment ) {
			return;
		}

		// Add note.
		$note = sprintf(
		/* translators: %s: EMS */
			__( 'Webhook requested by %s.', 'knit-pay' ),
			__( 'Razorpay', 'knit-pay' )
		);

		$payment->add_note( $note );

		// Log webhook request.
		do_action( 'pronamic_pay_webhook_log_payment', $payment );

		// Update payment.
		Plugin::update_payment( $payment, false );
		exit;
	}
}
